{
  description = "unexplrd's personal configuration";

  inputs = {
    blueprint.url = "github:numtide/blueprint";
    catppuccin.url = "github:catppuccin/nix";
    chaotic.url = "github:chaotic-cx/nyx/nyxpkgs-unstable";
    disko.url = "github:nix-community/disko/latest";
    home-manager.url = "github:nix-community/home-manager";
    hyprland.url = "github:hyprwm/Hyprland";
    hyprsunset.url = "github:hyprwm/hyprsunset";
    lanzaboote.url = "github:nix-community/lanzaboote/v0.4.2";
    lix.url = "https://git.lix.systems/lix-project/nixos-module/archive/2.92.0-2.tar.gz";
    mysecrets.url = "git+ssh://gitea@gitea.linerds.us/unexplrd/nix-secrets";
    # neve.url = "git+https://gitea.linerds.us/unexplrd/Neve";
    nix-flatpak.url = "github:gmodena/nix-flatpak";
    nix-index-database.url = "github:nix-community/nix-index-database";
    # nixos-cosmic.url = "github:lilyinstarlight/nixos-cosmic";
    # nixvim.url = "github:nix-community/nixvim";
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
    nixpkgs.url = "github:NixOS/nixpkgs?ref=nixos-unstable";
    sops-nix.url = "github:mic92/sops-nix";
    stylix.url = "github:danth/stylix";
    # TODO: somehow reduce the number of *.inputs.nixpkgs.follows = "nixpkgs" stuff, mb a function?
    blueprint.inputs.nixpkgs.follows = "nixpkgs";
    chaotic.inputs.nixpkgs.follows = "nixpkgs";
    disko.inputs.nixpkgs.follows = "nixpkgs";
    home-manager.inputs.nixpkgs.follows = "nixpkgs";
    hyprland.inputs.nixpkgs.follows = "nixpkgs";
    hyprsunset.inputs.hyprland-protocols.follows = "hyprland/hyprland-protocols";
    hyprsunset.inputs.hyprutils.follows = "hyprland/hyprutils";
    hyprsunset.inputs.nixpkgs.follows = "nixpkgs";
    lanzaboote.inputs.nixpkgs.follows = "nixpkgs";
    lix.inputs.nixpkgs.follows = "nixpkgs";
    mysecrets.flake = false;
    # neve.inputs.nixvim.follows = "nixvim";
    nix-index-database.inputs.nixpkgs.follows = "nixpkgs";
    sops-nix.inputs.nixpkgs.follows = "nixpkgs";
  };

  outputs = inputs: inputs.blueprint {inherit inputs;};
}
