{
  lib,
  inputs,
  modulesPath,
  ...
}: {
  imports = with inputs.nixos-hardware.nixosModules; [
    (modulesPath + "/installer/scan/not-detected.nix")
    common-cpu-amd-pstate
    common-gpu-intel
    common-hidpi
    common-pc-ssd
  ];
  hardware.enableRedistributableFirmware = true;
  hardware.intelgpu.vaapiDriver = "intel-media-driver";
  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
