{
  services = {
    flatpak.enable = true;
    fstrim.enable = true;
    openssh.enable = true;
    power-profiles-daemon.enable = true;
    syncthing.openDefaultPorts = true;
    dnscrypt-proxy2 = {
      enable = true;
      settings = {
        require_dnssec = true;
        server_names = ["mullvad-doh"];
        bootstrap_resolvers = ["9.9.9.11:53" "9.9.9.9:53"];
      };
    };
    scx = {
      enable = true;
      scheduler = "scx_flash";
    };
  };
}
