{
  config,
  lib,
  ...
}: {
  options = {
    locale.ukrainian.enable =
      lib.mkEnableOption "enables ukrainian locale";
  };
  config = lib.mkIf config.locale.ukrainian.enable {
    i18n = {
      defaultLocale = "uk_UA.UTF-8";
      extraLocaleSettings = {
        LC_CTYPE = "uk_UA.UTF-8";
        LC_NUMERIC = "uk_UA.UTF-8";
        LC_TIME = "uk_UA.UTF-8";
        LC_COLLATE = "en_US.UTF-8";
        LC_MONETARY = "uk_UA.UTF-8";
        LC_MESSAGES = "uk_UA.UTF-8";
        LC_PAPER = "uk_UA.UTF-8";
        LC_NAME = "uk_UA.UTF-8";
        LC_ADDRESS = "uk_UA.UTF-8";
        LC_TELEPHONE = "uk_UA.UTF-8";
        LC_MEASUREMENT = "uk_UA.UTF-8";
        LC_IDENTIFICATION = "uk_UA.UTF-8";
      };
    };
  };
}
